{% extends 'core/base-tables.html' %}

{% block content %}

  <main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
      <div class="container-fluid">
        <div class="row justify-content-center">
          <div class="col-xl-10 d-flex align-items-center">
            <div class="col-md-12 text-left" data-aos="fade-up">
              <h2>{{ titulo }}</h2>
              <a href="{{ url_for('Home.index') }}">Inicio</a>
              <i class="icofont-curved-right"></i>Cuenta
            </div>
          </div>
        </div>
      </div>
    </section><!-- End Breadcrumbs -->

    <section id="list" class="list section-md">
      <div class="container" data-aos="fade-up">
        <div class="row" style="margin-top: 50px">

          <div class="col-lg-5 order-1 order-lg-1" data-aos="fade-left" data-aos-delay="100">
            <img src="{{ url_for('static', filename='dist/img/slide/key.jpg') }}" class="img-fluid" alt="">
          </div>
          
          <div class="col-lg-7 pt-4 pt-lg-0 order-2 order-lg-2 content">
            <p><br></p>

            <form id="formChangeKey" action="{{url_for('Usuarios.updatekey_usuario')}}" method="post">
              <div class="modal-body">
                <div class="form-group row">
                    <label for="new_clave" class="col-md-5 col-form-label">
                    <span class="required">*</span>Clave Nueva:</label>
                  <div class="col-md-7">
                    <div class="input-group form-outline">
                      <span class="input-group-text" id="inputGroupPrepend1" onclick="showHideClave(1);">
                        <i class="fas fa-eye" id="show_eye1"></i>
                        <i class="fas fa-eye-slash d-none" id="hide_eye1"></i>
                      </span>
                      <input type="password" class="form-control" id="new_clave" name="new_clave" style="width:80%"
                            aria-describedby="inputGroupPrepend2" 
                            data-rule-required="true" data-msg-required="*Ingrese la clave nueva"
                            data-rule-minlength="4" data-msg-minlength="*Ingrese al menos 4 caracteres">
                    </div>
                  </div>
                </div>
                <div class="form-group row">
                  <label for="confirm_clave" class="col-md-5 col-form-label">
                    <span class="required">*</span>Confirmar Clave Nueva:</label>
                  <div class="col-md-7">
                    <div class="input-group form-outline">
                      <span class="input-group-text" id="inputGroupPrepend2" onclick="showHideClave(0);">
                        <i class="fas fa-eye" id="show_eye2"></i>
                        <i class="fas fa-eye-slash d-none" id="hide_eye2"></i>
                      </span>
                      <input type="password" class="form-control" id="confirm_clave" name="confirm_clave" style="width:80%" 
                            data-rule-required="true" data-msg-required="Confirme la clave nueva"
                            data-rule-equalto="#new_clave" data-msg-equalto="*Las claves deben coincidir" >
                    </div>
                  </div>
                </div>
              </div>
              <br>
              <div class="row justify-content-center">
                <button type="submit" class="btn btn-primary">
                  <i class="icofont-key"></i> Cambiar Clave
                </button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </section><!-- End Table-List Section -->

  </main><!-- End #main -->

{% endblock %}

{% block scripts %}
<script>
  var $table = $('#table')
  var $new = $('#new')
  
  $('#formChangeKey').validate();

  function showHideClave(index) {
    if (index) {
      var x = document.getElementById("new_clave");
      var show_eye = document.getElementById("show_eye1");
      var hide_eye = document.getElementById("hide_eye1");
    }
    else {
      var x = document.getElementById("confirm_clave");
      var show_eye = document.getElementById("show_eye2");
      var hide_eye = document.getElementById("hide_eye2");
    }
    hide_eye.classList.remove("d-none");
    if (x.type === "password") {
      x.type = "text";
      show_eye.style.display = "none";
      hide_eye.style.display = "block";
    } else {
      x.type = "password";
      show_eye.style.display = "block";
      hide_eye.style.display = "none";
    }
  }

</script>
  
{% endblock %}
